Configuring Memory
- reference
Use REST API to configure custom memory allocation per service.
Description
Allows a custom memory quota to be established for the Data and Analytics Services. If no custom quota was specified during configuration for 1 or more services, those services retain the default allocations.
-
memoryQuota: the quota for the Data Service (kv), in MiB. On Operational Insights this quota is fixed at 100 MiB: 100 is the only value accepted, and any other value is rejected. -
cbasMemoryQuota: the quota for the Analytics Service (cbas), in MiB. This is the quota that determines the memory available to Operational Insights. The minimum allowed value is 1024 MiB.
Curl Syntax
curl -v -X POST http://10.144.220.101:8091/pools/default \ -d memoryQuota=<integer> \ -d cbasMemoryQuota=<integer> \ -u <username>:<password>
During the process of provisioning a single-node cluster, username and password are required after the administrator has established credentials, as explained in Establishing Credentials.
Responses
| Value | Description |
|---|---|
|
Successful call. |
|
Invalid parameter. |
|
Authorization failure due to incorrect username or password. |
|
The provided username has insufficient privileges to call this method. |
|
Error in the URI path. |
|
Error in Operational Insights. |
Example
The following example establishes the minimum allowed value for each service:
curl -v -X POST http://10.144.220.101:8091/pools/default \ -u Administrator:password \ -d 'memoryQuota=100' \ -d 'cbasMemoryQuota=1024'
See Also
-
For more information about the other aspects of provisioning a single-node cluster, see Initializing a Node, Naming a Node, Naming a Cluster, and Establishing Credentials.
-
For more information about initialization and provisioning — using the UI, the CLI, and the REST API — see Manage Nodes and Clusters.
-
For more information about retrieving memory information for services using the REST API, see Getting Memory Information.